Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494598 - Deprecation of liblvm API and python bindings
Summary: Deprecation of liblvm API and python bindings
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On: 1478089 1496425 1503843
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 15:18 UTC by Marian Csontos
Modified: 2018-11-30 23:20 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:20:24 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1477354 0 unspecified CLOSED ld.bfd: binutils 2.29 dropped global visibility of implicit symbols pertaining the (orphaned) sections (__{start,stop}_S... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1487787 0 unspecified CLOSED corosync libraries built with work-in-progress fix in libqb so as to re-establish compatibility with ld from binutils 2.... 2021-02-22 00:41:40 UTC

Internal Links: 1477354 1487787

Description Marian Csontos 2017-09-22 15:18:04 UTC
In upstream we are deprecating lvm2app library and python bindings.

Thus we are adding a deprecation warnings to affected components as one of the ways to communicate the intent to developers using these.

Comment 2 Marian Csontos 2017-09-22 15:23:21 UTC
Sorry we have missed the freeze. Could we get an exception for this to get the word out ASAP?

Comment 3 Kamil Páral 2017-09-25 16:40:39 UTC
Discussed during blocker review [1]:

RejectedFreezeException - This bug does not address any issue that cannot be resolved with an update after installation.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-09-25/

Comment 4 Ben Cotton 2018-11-27 13:54:43 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 23:20:24 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.